package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : xsheng
 * @time  : 2024-11-23  12:50
 * @Description: 维修类型
 */
@Getter
public enum RepairTypeEnum {
    PASS(0, "合格"),
    INNER_REPAIR(1, "内部维修"),
    RETURN_FACTORY(2, "返厂维修"),
    TO_SCRAP(3, "待报废");

    private final Integer typeId;
    private final String typeName;

    RepairTypeEnum(Integer typeId, String typeName) {
        this.typeId = typeId;
        this.typeName = typeName;
    }

}
